Package org.jbpm.kie.services.impl.model

## Class VariableStateDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.VariableStateDesc

- All Implemented Interfaces:
    `Serializable`, `VariableDesc`

      public class VariableStateDesc
      extends Object
      implements VariableDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableStateDesc()` |
    `VariableStateDesc​(String variableId, String variableInstanceId, String oldValue, String newValue, String deploymentId, long processInstanceId, Date date)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getDataTimeStamp()` | Returns the variable data timestamp.
    `String` | `getDeploymentId()` | Returns the deployment id.
    `String` | `getNewValue()` | Returns the variable new value.
    `String` | `getOldValue()` | Returns the variable old value.
    `Long` | `getProcessInstanceId()` | Returns the process instance id.
    `String` | `getVariableId()` | Returns the variable id.
    `String` | `getVariableInstanceId()` | Returns the variable instance id.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableStateDesc

          public VariableStateDesc()

    - #### VariableStateDesc

          public VariableStateDesc​(String variableId,
                                   String variableInstanceId,
                                   String oldValue,
                                   String newValue,
                                   String deploymentId,
                                   long processInstanceId,
                                   Date date)

  - ### Method Detail

    - #### getVariableId

          public String getVariableId()

      Description copied from interface: `VariableDesc`
      Returns the variable id.
      Specified by:
        `getVariableId` in interface `VariableDesc`
      Returns:
        id

    - #### getVariableInstanceId

          public String getVariableInstanceId()

      Description copied from interface: `VariableDesc`
      Returns the variable instance id.
      Specified by:
        `getVariableInstanceId` in interface `VariableDesc`
      Returns:
        instance id

    - #### getOldValue

          public String getOldValue()

      Description copied from interface: `VariableDesc`
      Returns the variable old value.
      Specified by:
        `getOldValue` in interface `VariableDesc`
      Returns:
        old value

    - #### getNewValue

          public String getNewValue()

      Description copied from interface: `VariableDesc`
      Returns the variable new value.
      Specified by:
        `getNewValue` in interface `VariableDesc`
      Returns:
        new value

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `VariableDesc`
      Returns the deployment id.
      Specified by:
        `getDeploymentId` in interface `VariableDesc`
      Returns:
        deployment id

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Description copied from interface: `VariableDesc`
      Returns the process instance id.
      Specified by:
        `getProcessInstanceId` in interface `VariableDesc`
      Returns:
        process instance id

    - #### getDataTimeStamp

          public Date getDataTimeStamp()

      Description copied from interface: `VariableDesc`
      Returns the variable data timestamp.
      Specified by:
        `getDataTimeStamp` in interface `VariableDesc`
      Returns:
        data time stamp

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`